#ifndef QREPLYTIMEOUT_H
#define QREPLYTIMEOUT_H

#include <QObject>

class QNetworkReply;

class QReplyTimeout : public QObject
{
    Q_OBJECT
public:
    explicit QReplyTimeout(QNetworkReply *reply, const int timeout);

Q_SIGNALS:
    void timeout();

public Q_SLOTS:
    void onTimeout();
};

#endif // QREPLYTIMEOUT_H
